<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.mapper.datasource.eightwork.EightWorkFlowLogMapper">

	<!--表名 -->
	<sql id="tableName">
		BUS_EIGHTWORK_FLOW_LOG
	</sql>

	<!--数据字典表名 -->
	<sql id="dicTableName">
		SYS_DICTIONARIES
	</sql>

	<!-- 字段 -->
	<sql id="Field">
		f.LOG_ID,
		f.WORK_ID,
		f.TASK_ID,
		f.STEP_ID,
		f.ACT_USER,
		f.ACT_TIME,
		f.STATUS,
		f.WORK_TYPE,
		f.CORPINFO_ID,
		f.CHECK_NO
	</sql>

	<!-- 字段用于新增 -->
	<sql id="Field2">
		LOG_ID,
	    WORK_ID,
		TASK_ID,
		STEP_ID,
		ACT_USER,
		ACT_TIME,
		STATUS,
		WORK_TYPE,
		CORPINFO_ID,
		CHECK_NO
	</sql>

	<!-- 字段值 -->
	<sql id="FieldValue">
		#{LOG_ID},
		#{WORK_ID},
		#{TASK_ID},
		#{STEP_ID},
		#{ACT_USER},
		#{ACT_TIME},
		#{STATUS},
		#{WORK_TYPE},
		#{CORPINFO_ID},
		#{CHECK_NO}
	</sql>

	<!-- 新增-->
	<insert id="save" parameterType="pd">
		insert into
	<include refid="tableName"></include>
		(
	<include refid="Field2"></include>
		) values (
	<include refid="FieldValue"></include>
		)
	</insert>
</mapper>
